Skip to main content
POST
/
distribution
/
deliveries
Create a delivery
curl --request POST \
  --url https://varco-{partner}.musixmatch.com/distribution/deliveries \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "file_id": 123456
}
'
{
  "message": {
    "body": {
      "delivery": {
        "delivery_id": 123456
      }
    },
    "header": {
      "status_code": 201,
      "execute_time": 0.06
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.musixmatch.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Access token obtained via the Client Credentials OAuth 2.0 flow at https://connect.musixmatch.com/oauth/token

Body

application/json
file_id
integer
required

The file identifier returned by POST /distribution/deliveries/files

Response

Delivery created.

message
object